.\" Process this file with
.\" groff -man -Tascii foo.1
.\"
.TH CTI-SCENARIOS 1 "SEPTEMBER 2012" Linux "User Manuals"
.SH NAME
CTI scenarios document is your CTI day to day usage friend.
.SH DESCRIPTION
.B The name CTI stands for Codelet Tuning Infrastructure.
This document presents several helpful scenarios and oriented mostly on CTI command line users.

.SH OBSERVE DATA

.B $ cti list data
.RS
shows all the data available for user. This would output to stdout short, yet essential information about each data entry found for the current user profile.
.RE

.B $ cti view data <UID | alias>
.RS
will provide the detailed information on a given data, specified by UID.

.SH OBSERVE PLUGINS

.B $ cti list plugins
.RS
similar to one for data, but shows all the plugins available for user.
.RE

.B $ cti view plugins <UID | alias>
.RS
will provide a detailed information about a given data, specified by UID.

.SH MANIPULATE ENTRIES

.B $ cti move common <UID | alias>
.RS
will move entry to the common repository. This data will be shared with other users.
.RE

.B $ cti move common <UID | alias>
.RS
will move entry to the common repository. Common repository is dedicated for the important entry, which you would like to distinguish from other, or entry which is supposed to be used across different projects.

.SH SEARCH FOR ENTRIES

CTI provides simple, yet powerful mechanism to query entries, both data and plugins.

.B $ cti query all txt Spock
.RS
cti will search for all the entries, containing
.B Spock
inside as a parameter name or value, or an attribute name or value.
.RE

.B $ cti query all txt plugin_uid:query

or

.B $ cti query all txt plugin_uid:f685a9f0-ef89-4c08-8585-4c20c760cfe0
.RS
this will search for all the data entries produced by plugin
.B query,
specified by its alias or by UID. With a
.B `+'
prefix it is possible to search for the following supplementary information about the entries:
.B PLUGIN_UID, DATE_TIME_START, USER_UID, DATE_TIME_END, PLUGIN_EXIT_CODE
.RE

.B $ cti query all txt test_name:"Kobayashi Maru"
.RS
may fail with a message "No data matches your query", simply because there are might be no entries, with a parameter, named
.B test_name
and value equals to
.B Kobayashi Maru.
.SH "SEE ALSO"
.BR cti (1)


.SH AUTHORS

Franck Talbart, Exascale Computing Research Center, France

Mathieu Bordet, Exascale Computing Research Center, France

Nicolas Petit, Exascale Computing Research Center, France

.SH PAST CONTRIBUTORS

Yuriy Kashnikov, Exascale Computing Research Center, France

Pablo Oliveira, Exascale Computing Research Center, France

Mathieu Tribalat, Exascale Computing Research Center, France



.SH COPYRIGHT
 Codelet Tuning Infrastructure
 Copyright (C) 2010-2015 Intel Corporation, CEA, GENCI, and UVSQ

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
